PowerPoint3ParserInternal::SubDocument Class Reference documentation

PowerPoint3ParserInternal::SubDocument Class Referencefinal

Internal: the subdocument of a PowerPointParser. More...

Inheritance diagram for PowerPoint3ParserInternal::SubDocument:

## Public Member Functions
| SubDocument (PowerPoint3Parser &pars, MWAWInputStreamPtr const &input, SlideContent const *slide, int tId, bool mainZone, bool master)
| constructor for text
| SubDocument (PowerPoint3Parser &pars, MWAWInputStreamPtr const &input, SlideContent const *slide)
| constructor for note
| ~SubDocument () final
| destructor
bool | operator!= (MWAWSubDocument const &doc) const final
| operator!=
void | parse (MWAWListenerPtr &listener, libmwaw::SubDocumentType type) final
| the parser function
Public Member Functions inherited from MWAWSubDocument
| MWAWSubDocument (MWAWParser *pars, MWAWInputStreamPtr const &ip, MWAWEntry const &z)
| constructor from parser, input stream and zone in the input
| MWAWSubDocument (MWAWSubDocument const &doc)=default
| copy constructor
MWAWSubDocument & | operator= (MWAWSubDocument const &doc)=default
| copy operator
virtual | ~MWAWSubDocument ()
| virtual destructor
bool | operator== (MWAWSubDocument const &doc) const
| comparison operator==
bool | operator!= (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator!=
bool | operator== (std::shared_ptr< MWAWSubDocument > const &doc) const
| comparison operator==

## Protected Attributes
SlideContent const * | m_slide
| the slide
int | m_textId
| the text id
bool | m_mainTextBox
| flag to know if we send the title or the body
bool | m_isMaster
| flag to know if we send a master text zone
Protected Attributes inherited from MWAWSubDocument
MWAWParser * | m_parser
| the main zone parser
std::shared_ptr< MWAWInputStream > | m_input
| the input
MWAWEntry | m_zone
| if valid the zone to parse

## Private Member Functions
| SubDocument (SubDocument const &)=delete
SubDocument & | operator= (SubDocument const &)=delete

## Detailed Description

Internal: the subdocument of a PowerPointParser.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/3]

PowerPoint3ParserInternal::SubDocument::SubDocument | ( | PowerPoint3Parser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | SlideContent const * | slide,
|  | int | tId,
|  | bool | mainZone,
|  | bool | master )
| inline

constructor for text

Referenced by operator!=(), operator=(), and SubDocument().

## ◆ SubDocument() [2/3]

PowerPoint3ParserInternal::SubDocument::SubDocument | ( | PowerPoint3Parser & | pars,
|  | MWAWInputStreamPtr const & | input,
|  | SlideContent const * | slide )
| inline

constructor for note

## ◆ ~SubDocument()

PowerPoint3ParserInternal::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## ◆ SubDocument() [3/3]

PowerPoint3ParserInternal::SubDocument::SubDocument | ( | SubDocument const & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ operator!=()

bool PowerPoint3ParserInternal::SubDocument::operator!= | ( | MWAWSubDocument const & | doc | ) | const
| inlinefinalvirtual

operator!=

Reimplemented from MWAWSubDocument.

## ◆ operator=()

SubDocument & PowerPoint3ParserInternal::SubDocument::operator= | ( | SubDocument const & |  | ) |
| privatedelete

## ◆ parse()

void PowerPoint3ParserInternal::SubDocument::parse | ( | MWAWListenerPtr & | listener,
|  | libmwaw::SubDocumentType | type )
| finalvirtual

the parser function

Implements MWAWSubDocument.

## Member Data Documentation

## ◆ m_isMaster

bool PowerPoint3ParserInternal::SubDocument::m_isMaster
| protected

flag to know if we send a master text zone

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_mainTextBox

bool PowerPoint3ParserInternal::SubDocument::m_mainTextBox
| protected

flag to know if we send the title or the body

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_slide

SlideContent const* PowerPoint3ParserInternal::SubDocument::m_slide
| protected

the slide

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

## ◆ m_textId

int PowerPoint3ParserInternal::SubDocument::m_textId
| protected

the text id

Referenced by operator!=(), parse(), SubDocument(), and SubDocument().

The documentation for this class was generated from the following file:

- PowerPoint3Parser.cxx